package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class KartuPengendaliDetailVO extends BaseTransactionVO{

	@Caption(value="No Usulan")
	private String noUsulan;
	
	@ManyToOne
	@NotNull(message="Kartu Pengendali harus Diisi")
	@Caption(value="Kartu Pengendali")
	private KartuPengendaliVO kartuPengendali;
	
	@ManyToOne
	@Caption(value="Rekanan")
	private RekananVO supplier;
	
	@Caption(value="hargaSupplier")
	private Double hargaSupplier;

	@ManyToOne
	@NotNull(message="Rup harus Diisi ")
	@Caption(value = "Detail Rup")
	private DetailRupVO detailRup;
	
	@Caption(value = "Volume Barang")
	private float volumeBarang;
	
	@Caption(value="Ppn")
	private Double ppn;

	@Caption(value = "Harga Satuan Barang")
	private Double hargaSatuanBarang;

	@Caption(value = "Total Harga Barang")
	private Double totalHargaBarang;
	
	@Caption(value="Pembulatan")
	private Double pembulatan;
	
	@Caption(value="Terbilang")
	private String terbilang;
	
	@Caption(value = "Harga Satuan Barang Hps")
	private Double hargaSatuanBarangHps;

	@Caption(value = "Total Harga Barang Hps")
	private Double totalHargaBarangHps;
	
	@Caption(value="PembulatanHps")
	private Double pembulatanHps;
	
	@Caption(value="Terbilang Hps")
	private String terbilangHps;
	
	@ManyToOne
	@Caption(value = "Kartu Pengendali Detail")
	private KartuPengendaliDetailVO kartuPengendaliDetail;
	
	@Caption(value = "Status Code")
	private Integer statusCode;
	
	public String isVerifikasi;
	
	public Boolean isActive;
	
	@Column(name="keterangan", nullable = true)
	@Caption(value="keterangan")
	private String keterangan;
	

	public String getNoUsulan() {
		return noUsulan;
	}

	public void setNoUsulan(String noUsulan) {
		this.noUsulan = noUsulan;
	}

	public KartuPengendaliVO getKartuPengendali() {
		return kartuPengendali;
	}

	public void setKartuPengendali(KartuPengendaliVO kartuPengendali) {
		this.kartuPengendali = kartuPengendali;
	}

	public DetailRupVO getDetailRup() {
		return detailRup;
	}

	public void setDetailRup(DetailRupVO detailRup) {
		this.detailRup = detailRup;
	}

	public float getVolumeBarang() {
		return volumeBarang;
	}

	public void setVolumeBarang(float volumeBarang) {
		this.volumeBarang = volumeBarang;
	}

	public Double getPpn() {
		return ppn;
	}

	public void setPpn(Double ppn) {
		this.ppn = ppn;
	}

	public Double getHargaSatuanBarang() {
		return hargaSatuanBarang;
	}

	public void setHargaSatuanBarang(Double hargaSatuanBarang) {
		this.hargaSatuanBarang = hargaSatuanBarang;
	}

	public Double getTotalHargaBarang() {
		return totalHargaBarang;
	}

	public void setTotalHargaBarang(Double totalHargaBarang) {
		this.totalHargaBarang = totalHargaBarang;
	}

	public Double getPembulatan() {
		return pembulatan;
	}

	public void setPembulatan(Double pembulatan) {
		this.pembulatan = pembulatan;
	}

	public String getTerbilang() {
		return terbilang;
	}

	public void setTerbilang(String terbilang) {
		this.terbilang = terbilang;
	}

	public Double getHargaSatuanBarangHps() {
		return hargaSatuanBarangHps;
	}

	public void setHargaSatuanBarangHps(Double hargaSatuanBarangHps) {
		this.hargaSatuanBarangHps = hargaSatuanBarangHps;
	}

	public Double getTotalHargaBarangHps() {
		return totalHargaBarangHps;
	}

	public void setTotalHargaBarangHps(Double totalHargaBarangHps) {
		this.totalHargaBarangHps = totalHargaBarangHps;
	}

	public Double getPembulatanHps() {
		return pembulatanHps;
	}

	public void setPembulatanHps(Double pembulatanHps) {
		this.pembulatanHps = pembulatanHps;
	}

	public String getTerbilangHps() {
		return terbilangHps;
	}

	public void setTerbilangHps(String terbilangHps) {
		this.terbilangHps = terbilangHps;
	}

	public KartuPengendaliDetailVO getKartuPengendaliDetail() {
		return kartuPengendaliDetail;
	}

	public void setKartuPengendaliDetail(KartuPengendaliDetailVO kartuPengendaliDetail) {
		this.kartuPengendaliDetail = kartuPengendaliDetail;
	}

	public Integer getStatusCode() {
		return statusCode;
	}

	public void setStatusCode(Integer statusCode) {
		this.statusCode = statusCode;
	}


	public Boolean getIsActive() {
		return isActive;
	}

	public void setIsActive(Boolean isActive) {
		this.isActive = isActive;
	}

	public String getIsVerifikasi() {
		return isVerifikasi;
	}

	public void setIsVerifikasi(String isVerifikasi) {
		this.isVerifikasi = isVerifikasi;
	}

	public String getKeterangan() {
		return keterangan;
	}

	public void setKeterangan(String keterangan) {
		this.keterangan = keterangan;
	}

	public RekananVO getSupplier() {
		return supplier;
	}

	public void setSupplier(RekananVO supplier) {
		this.supplier = supplier;
	}

	public Double getHargaSupplier() {
		return hargaSupplier;
	}

	public void setHargaSupplier(Double hargaSupplier) {
		this.hargaSupplier = hargaSupplier;
	}
	
	
	
}
